Bug 186532 - rhythmbox can't play http://www.di.fm/mp3/goapsy.pls
rhythmbox can't play http://www.di.fm/mp3/goapsy.pls
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
http://www.di.fm/mp3/goapsy.pls
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 22:18 EST by Dan O'Brien
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-21 11:46:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of rhythmbox with goa, trance marked down and playing vocaltrance (123.78 KB, image/png)
2006-03-23 22:18 EST, Dan O'Brien
no flags Details
strace output from play of goa to success of vocals (549.14 KB, text/plain)
2006-03-23 22:20 EST, Dan O'Brien
no flags Details
error while trying to play the cited site (9.95 KB, image/png)
2007-01-30 20:09 EST, Dan O'Brien
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 468905 None None None Never

  None (edit)
Description Dan O'Brien 2006-03-23 22:18:44 EST
Description of problem:

FC5 Rhythmbox can't play radio station http://www.di.fm/mp3/goapsy.pls.
Mplayer can play it, however.  BUT rhythmbox can play:
http://www.di.fm/mp3/vocaltrance.pls which is weird.

I ran strace while trying to connect and the trace shows something is going
wrong in the ICY negotiations.  I'll attach the strace file.


Version-Release number of selected component (if applicable):

rhythmbox-0.9.3.1-3
gstreamer-plugins-good-0.10.2-1
gstreamer-0.10.3-3
gstreamer-plugins-base-0.10.3-3
gstreamer-plugins-ugly-0.10.2-1.fc5

How reproducible:

Fails every time since upgrading from FC4 to FC5

Steps to Reproduce:
1. bring up rhythmbox
2. configure new radio station
3. try and play it.
  
Actual results:

goa
trance
vocal

are in the radio list.  it starts marking goa down, then trance down, then plays
vocal.

Expected results:

should play vocal

Additional info:

failed case for goa:

6014  write(25, "GET /mp3/goapsy.pls HTTP/1.1\r\nHo"..., 121) = 121
6014  read(25, 0x9904a04, 4096)         = -1 EAGAIN (Resource temporarily
unavailable)
6014  read(25, "HTTP/1.1 200 OK\r\nDate: Fri, 24 M"..., 4096) = 592
6014  close(25)                         = 0
6014  socket(PF_INET, SOCK_STREAM, IPPROTO_IP) = 25
6014  connect(25, {sa_family=AF_INET, sin_port=htons(80),
sin_addr=inet_addr("64.236.34.97")}, 16) = 0
6014  write(25, "GET /stream/1008 HTTP/1.1\r\nHost:"..., 147) = 147
6014  read(25, 0x9904a04, 4096)         = -1 EAGAIN (Resource temporarily
unavailable)
6014  read(25, "ICY 404 Resource Not Found\r\nicy-"..., 4096) = 157

successful case for vocal:

6014  write(25, "GET /mp3/vocaltrance.pls HTTP/1."..., 126) = 126
6014  read(25, 0x9904a04, 4096)         = -1 EAGAIN (Resource temporarily
unavailable)
6014  read(25, "HTTP/1.1 200 OK\r\nDate: Fri, 24 M"..., 4096) = 773
6014  close(25)                         = 0
6014  socket(PF_INET, SOCK_STREAM, IPPROTO_IP) = 25
6014  connect(25, {sa_family=AF_INET, sin_port=htons(80),
sin_addr=inet_addr("205.188.215.98")}, 16) = 0
6014  write(25, "GET /stream/1065 HTTP/1.1\r\nHost:"..., 149) = 149
6014  read(25, 0x9904a04, 4096)         = -1 EAGAIN (Resource temporarily
unavailable)
6014  read(25, "ICY 200 OK\r\nicy-notice1: <BR>Thi"..., 4096) = 396

see attached strace for full output
Comment 1 Dan O'Brien 2006-03-23 22:18:44 EST
Created attachment 126597 [details]
screen shot of rhythmbox with goa, trance marked down and playing vocaltrance
Comment 2 Dan O'Brien 2006-03-23 22:20:09 EST
Created attachment 126598 [details]
strace output from play of goa to success of vocals
Comment 3 Dan O'Brien 2006-03-23 22:21:00 EST
s/should play vocal/should play goa/ in the Expected Results
Comment 4 Alex Lancaster 2006-04-17 22:38:18 EDT
Newer version 0.9.4 I think has better .pls handling.  I've made an upgrade
request: bug #189189.
Comment 5 Dan O'Brien 2006-04-18 06:49:46 EDT
Thanks.  Just a few notes.  Seems this is an intermittent problem with DI
channels. They claim that the media device (in this case rhy*box) must support
shoutcast streaming titles or else the device can't render the stream. I've had
intermittent problems with other players as well such as xmms and mplayer.
Sometimes one will work when the others won't. Or all three stop working for a
few days, then one or more will work. Today, for example, R*box works on the goa
channel. (In fact, all three players are working at this very moment).
Comment 6 Bastien Nocera 2007-01-30 19:25:17 EST
What's the actual error that Rhythmbox gives you? (you can see it by clicking on
the icon next to the track name)

Any more luck with the FC6 Rhythmbox?
Comment 7 Dan O'Brien 2007-01-30 20:09:16 EST
Created attachment 146992 [details]
error while trying to play the cited site
Comment 8 Dan O'Brien 2007-01-30 20:10:46 EST
takes a long time for the error to pop up.  while clicking pause/play it started
playing for a few seconds then the error popped up and it stopped.

you should be able to try this on your system. the site is open to everyone. 
Mplayer has no trouble playing it.
Comment 9 Dan O'Brien 2007-01-30 20:11:22 EST
rhythmbox-0.9.7-1.fc6 still fails
Comment 10 Bastien Nocera 2007-08-21 11:46:26 EDT
6014  read(25, "ICY 404 Resource Not Found\r\nicy-"..., 4096) = 157
6014  gettimeofday({1143160446, 479374}, NULL) = 0
6014  write(25, "GET /stream/1008 HTTP/1.1\r\nHost:"..., 147) = 147
6014  read(25, 0x9904a04, 4096)         = -1 EAGAIN (Resource temporarily
unavailable)

It looks to me like Rhythmbox should fallback to the next stream, but it's far
from trivial with the way the code is written. Filed upstream at:
http://bugzilla.gnome.org/show_bug.cgi?id=468905

Note You need to log in before you can comment on or make changes to this bug.